## -c: Kennzeichnen als DBM-Kommando

### Verwendung

Wenn Sie eine DBM-Option mit optionalen Parametern verwenden, dann müssen Sie diese logisch von einem nachfolgenden DBM-Kommando abgrenzen. Zu diesem Zweck fügen Sie die DBM-Option –c ein. Der Database Manager CLI interpretiert dann alle nach –c folgenden Angaben als DBM-Kommando.

### Syntax

-c <dbm_command>

### Beispiel

Aufrufen des Database Manager CLI, Anmelden als Benutzer OLEG mit dem Kennwort MONDAY, Herstellen der Verbindung zur Datenbankinstanz DEMODB, Starten des Sicherungsvorganges mit Hilfe der Sicherungsvorlage DemoDataCompl

Die Utility-Sitzung soll mit den Benutzerdaten gemäß Vorschlagswert, d. h. den Daten des ersten DBM-Benutzers, eröffnet werden. Die Option zum Eröffnen der Utility-Sitzung wird deshalb ohne Parameter angegeben.

● Ohne Angabe von -c zwischen den optionalen Parametern der DBM-Option und dem DBM-Kommando wird das DBM-Kommando als Benutzername/Kennwort-Kombination für die DBM-Option –uUTL interpretiert. Sie erhalten eine Fehlermeldung:

>dbmcli -u OLEG,MONDAY -d DEMODB –uUTL backup_start DemoDataCompl

ERR

-24996,ERR_PARAM: Wrong parameters

-24753,ERR_MISSDBUSRPWD: Missing database, user or password

● Mit der Option –c markieren Sie den Beginn des DBM-Kommandos. Das DBM-Kommando wird erfolgreich ausgeführt:

>dbmcli -u OLEG,MONDAY -d DEMODB –uUTL –c backup_start DemoDataCompl

OK

Returncode 0

Date 20060418

Time 00131245

Server GENUA

Database DEMODB

Kernel Version Kernel 7.6.00 Build 016-123-109-428

...

...